auction/modules/admin/controllers/ArchiveController.php
<?php

namespace app\modules\admin\controllers;

use app\models\Archive;
use app\models\ArchiveSearch;
use app\models\Response;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\User;
use Yii;
use kartik\mpdf\Pdf;

/**
 * ArchiveController implements the CRUD actions for Archive model.
 */
class ArchiveController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }
    
    public function actionDateofarchive($date_start, $date_end)
    {
        $searchModel = new ArchiveSearch();
        $dataProvider = $searchModel->searchquery($this->request->queryParams);

        // $query = Archive::find()->where(['>','end_date', $date_start])->andWhere(['<','end_date', $date_end])->orderBy(['id'=>SORT_DESC]) ;
        // echo '<pre>';var_dump($this->request->queryParams);die;

        return $this->render('dateofarchive', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]); 
    }
    /**
     * Lists all Archive models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $searchModel = new ArchiveSearch();
        $dataProvider = $searchModel->search($this->request->queryParams);

        $userId = Yii::$app->user->getId();
        $user = User::find()->where(['id' => $userId])->one();
        $is_admin = $user->is_admin;
       // $dates = Bid::find()->where(['id' => $userId])->one();
        // $date_now = date('Y-m-d H:i:s');
        // var_dump($date_now);die;


        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
            'is_admin' => $is_admin,
            'user' => $user,
           // 'dates'=> $dates,
        ]);
    }

    /**
     * Displays a single Archive model.
     * @param int $id ID
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        $responses = Response::find()->where(['id_bid' => $id])->orderBy(['price' => SORT_ASC])->all();
        
        return $this->render('view', [
            'model' => $this->findModel($id),
            'responses' => $responses,
        ]);
    }

    /**
     * Creates a new Archive model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Archive();
        // $bid = $this->request->post();
        // var_dump($bid['Bid']['logistic']);die;
        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'id' => $model->id]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }



    /**
     * Updates an existing Archive model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $id ID
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Archive model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $id ID
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Archive model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $id ID
     * @return Archive the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Archive::findOne(['id' => $id])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
    public function actionCreatebid($id_bid)
    {

        return $this->redirect(['response/create', 'id' => $id_bid]);
        // var_dump($id_bid);die;
    }


    public function actionPrintbid($id_bid)
    {
        $model = $this->findModel($id_bid);
        $responses = Response::find()->where(['id_bid' => $id_bid])->orderBy(['price' => SORT_ASC])->all();
        $content = $this->renderPartial('view', [
            'model' => $this->findModel($id_bid),
            'responses' => $responses,
        ]);
       // $content = htmlspecialchars($content);
    //    $mpdf = new mPDF('utf-8', 'A4', '10', 'Arial', 0, 0, 5, 5, 5, 5);
    //    $mpdf->charset_in = 'utf-8';
       // var_dump($content);die;
        $pdf = new \kartik\mpdf\Pdf([
            'mode' => \kartik\mpdf\Pdf::MODE_CORE, 
            'format' => \kartik\mpdf\Pdf::FORMAT_A4, 
            'orientation' => \kartik\mpdf\Pdf::ORIENT_PORTRAIT, 
            'destination' => \kartik\mpdf\Pdf::DEST_BROWSER, 
            'content' => $content, 
            'cssFile' => '@vendor/kartik-v/yii2-mpdf/assets/kv-mpdf-bootstrap.min.css',
            'cssInline' => '.img-circle {border-radius: 50%;}', 
            'options' => [
                'title' => 'Заявка №'. $id_bid,
                'subject' => 'PDF'
            ],
            'methods' => [
                'SetHeader' => Yii::$app->name,
                'SetFooter' => ['|{PAGENO}|'],
            ]
        ]);
       
        return $pdf->render();
    }
}

auction/modules/admin/controllers/BidController.php
<?php

namespace app\modules\admin\controllers;

use app\models\Bid;
use app\models\BidSearch;
use app\models\Response;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\User;
use Yii;
use kartik\mpdf\Pdf;

/**
 * BidController implements the CRUD actions for Bid model.
 */
class BidController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Bid models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $searchModel = new BidSearch();
        $dataProvider = $searchModel->search($this->request->queryParams);

        $userId = Yii::$app->user->getId();
        $user = User::find()->where(['id' => $userId])->one();
        $is_admin = $user->is_admin;
        // $date_now = date('Y-m-d H:i:s');
        // var_dump($date_now);die;
        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
            'is_admin' => $is_admin,
            'user' => $user,
        ]);
    }

    /**
     * Displays a single Bid model.
     * @param int $id ID
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        $responses = Response::find()->where(['id_bid' => $id])->orderBy(['price' => SORT_ASC])->all();

        return $this->render('view', [
            'model' => $this->findModel($id),
            'responses' => $responses,
        ]);
    }

    /**
     * Creates a new Bid model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Bid();
        // $bid = $this->request->post();
        // var_dump($bid['Bid']['logistic']);die;
        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'id' => $model->id]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }


    public function actionSendMail()
    {
         // отправка всем пользователям уведомлений ОТ СЮДА 
        //  $usersNoAdmin = User::find()->where(['is_admin' => !1])->andWhere(['is_admin' => !2])->orderBy('id')->all();
        //  foreach($usersNoAdmin as $user)
        //  { 
             Yii::$app->mailer->compose()
             ->setFrom('info@oil.grain.ru')
             ->setTo(['daniil10i@mail.ru','info@it-vector.com', 'it.team.zhuchenko@yandex.ru'])
             ->setSubject('Новая заявка №')
             ->setTextBody('Появилась новая заявка!')
             ->setHtmlBody('<b><a href="/admin/bid"> ПОСМОТРЕТЬ </a> </b>')
             ->send();
        //  } 
        //  var_dump('STOP');die;
         // ДО СЮДА
    }

    public function actionCreateBids()
    {

        $c = 3;
        $v = 5;
        while ($c >= 1) {
            while ($v >= 1) {
                $model = new Bid();
                $model->basis = self::countBasis($c);
                $model->volume = self::countVolume($v);
                $model->price = '105';
                $model->nomenclature = ['Масло подсолнечное нерафинированное промышленной переработки / Масло подсолнечное нерафинированное первого сорта'];
                $model->end_date = date('Y-m-d 14:00:00'); //  date('Y-m-d 14:00:00')
                $v--;
                $model->save();
                // echo '<pre>';
                // var_dump($model->basis, $model->volume );
                // echo '</pre>';
            }
            $v = 5;
            $c--;
        }

        
         // отправка всем пользователям уведомлений ОТ СЮДА 
         $usersNoAdmin = User::find()->where(['is_admin' => !1])->andWhere(['is_admin' => !2])->orderBy('id')->all();
         foreach($usersNoAdmin as $user)
         { 
             Yii::$app->mailer->compose()
             ->setFrom('info@oil.grain.ru')
             ->setTo($user->mail)
             ->setSubject('Новые заявки')
             ->setHtmlBody('<b>На сайте oil.grain.ru появились новые заявки.</b>')
             ->send();
         } 
         // ДО СЮДА

        return $this->redirect(['index']);
    }
    public function countVolume($v)
    {
        if ($v == 5) {
            $volume = '1 000';
        } elseif ($v == 4) {
            $volume  = '500';
        } elseif ($v == 3) {
            $volume  = '300';
        } elseif ($v == 2) {
            $volume  = '200';
        } elseif ($v == 1) {
            $volume  = '100';
        }
        return $volume;
    }
    public function countBasis($c)
    {
        if ($c == 3) {
            $company = 'ОАО "МЖК Краснодарский" (г. Краснодар. ул. Тихорецкая 5)';
        } elseif ($c == 2) {
            $company  = 'Юг Руси, АО (г. Ростов-на-Дону, ул. Луговая, 9)';
        } elseif ($c == 1) {
            $company  = 'ЮР Лабинский МЭЗ ф-л, ООО (Краснодарский кр., г.Лабинск, ул.Красная, 100)';
        }
        return $company;
    }

    /**
     * Updates an existing Bid model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $id ID
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Bid model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $id ID
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Bid model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $id ID
     * @return Bid the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Bid::findOne(['id' => $id])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
    public function actionCreatebid($id_bid)
    {

        return $this->redirect(['response/create', 'id' => $id_bid]);
        // var_dump($id_bid);die;
    }


    public function actionPrintbid($id_bid)
    {
        $model = $this->findModel($id_bid);
        $responses = Response::find()->where(['id_bid' => $id_bid])->orderBy(['price' => SORT_ASC])->all();
        $content = $this->renderPartial('view', [
            'model' => $this->findModel($id_bid),
            'responses' => $responses,
        ]);
        // $content = htmlspecialchars($content);
        //    $mpdf = new mPDF('utf-8', 'A4', '10', 'Arial', 0, 0, 5, 5, 5, 5);
        //    $mpdf->charset_in = 'utf-8';
        // var_dump($content);die;
        $pdf = new \kartik\mpdf\Pdf([
            'mode' => \kartik\mpdf\Pdf::MODE_CORE,
            'format' => \kartik\mpdf\Pdf::FORMAT_A4,
            'orientation' => \kartik\mpdf\Pdf::ORIENT_PORTRAIT,
            'destination' => \kartik\mpdf\Pdf::DEST_BROWSER,
            'content' => $content,
            'cssFile' => '@vendor/kartik-v/yii2-mpdf/assets/kv-mpdf-bootstrap.min.css',
            'cssInline' => '.img-circle {border-radius: 50%;}',
            'options' => [
                'title' => 'Заявка №' . $id_bid,
                'subject' => 'PDF'
            ],
            'methods' => [
                'SetHeader' => Yii::$app->name,
                'SetFooter' => ['|{PAGENO}|'],
            ]
        ]);

        return $pdf->render();
    }
}

auction/modules/admin/views/archive/_form.php
<?php

use yii\helpers\Html;

// use kartik\date\DatePicker;
use yii\widgets\ActiveForm;
/* @var $this yii\web\View */
/* @var $model app\models\Bid */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="bid-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'basis')->dropDownList([
            'Юг Руси, АО (г. Ростов-на-Дону, ул. Луговая, 9)' => 'Юг Руси, АО (г. Ростов-на-Дону, ул. Луговая, 9)',
            'ЮР Лабинский МЭЗ ф-л, ООО (Краснодарский кр., г.Лабинск, ул.Красная, 100)'=>'ЮР Лабинский МЭЗ ф-л, ООО (Краснодарский кр., г.Лабинск, ул.Красная, 100)',
            'ООО Кропоткинский ЗЭРМ 	(г. Кропоткин, ул. Красная,1)'=>'ООО Кропоткинский ЗЭРМ 	(г. Кропоткин, ул. Красная,1)',
            'Аннинский МЭЗ ООО (Воронежская область,  п.г.т. Анна, ул. Ленина, д. №1)'=>'Аннинский МЭЗ ООО (Воронежская область,  п.г.т. Анна, ул. Ленина, д. №1)',
            'ЮР Лискинский МЭЗ ф-л ООО (Воронежская область, г. Лиски,  ул. 40 лет Октября, д.62)'=>'ЮР Лискинский МЭЗ ф-л ООО (Воронежская область, г. Лиски,  ул. 40 лет Октября, д.62)',
            'ЮР Валуйский МЭЗ ф-л, ООО (Белгородская область, город Валуйки, улица Никольская, 119)'=>'ЮР Валуйский МЭЗ ф-л, ООО (Белгородская область, город Валуйки, улица Никольская, 119)',
            'ОАО "МЖК Краснодарский"  	(г. Краснодар. ул. Тихорецкая 5)'=>'ОАО "МЖК Краснодарский"  	(г. Краснодар. ул. Тихорецкая 5)',
            'TOO "Актобе Фудс"	(Республика Казахстан, г. Актобе, 41 разъезд, Курсантское шоссе, Дом 322)' =>'TOO "Актобе Фудс"	(Республика Казахстан, г. Актобе, 41 разъезд, Курсантское шоссе, Дом 322)',
            
    ],
     [
        'prompt' => 'Выберите базиз поставки...'
    ]
        
        ); ?>

        <?= $form->field($model, 'volume')->textInput(['style'=>'text-align: left;'])->widget(\yii\widgets\MaskedInput::className(), [
        // 'mask' => '999 999',
        'options' => [
           'autocomplete' => "off",
        ],
        'clientOptions' => [
            'alias' =>  'decimal',
            'groupSeparator' => ' ',
            'autoGroup' => true
        ],
        ]); ?>

    <?= $form->field($model, 'price')->textInput(['type'=>'number','maxlength' => true, 'step'=>1, 'placeholder'=>'125']) ?>

    <?= $form->field($model, 'nomenclature')->listBox([
        'Масло подсолнечное нерафинированное промышленной переработки' =>'Масло подсолнечное нерафинированное промышленной переработки',
        'Масло подсолнечное нерафинированное первого сорта'=>'Масло подсолнечное нерафинированное первого сорта',
        'Масло подсолнечное нерафинированное высший сорт'=>'Масло подсолнечное нерафинированное высший сорт',     
    ], [
        'multiple' => true,
    ]) ?>

    <?= $form->field($model, 'quality')->textInput(['maxlength' => true]) ?>

   

   

<?= $form->field($model, 'end_date')->textInput(['type' => 'datetime-local',
        'value' => str_replace(date('Y-m-d', strtotime($model->end_date)).' ',
            date('Y-m-d', strtotime($model->end_date)).'T', $model->end_date )]) ?>

    <?= $form->field($model, 'comment')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton('Сохранить', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

auction/modules/admin/views/archive/_pdf.php
<?php

auction/modules/admin/views/archive/_search.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\BidSearch */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="bid-search">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
    ]); ?>

    <?= $form->field($model, 'id') ?>

    <?= $form->field($model, 'basis') ?>

    <?= $form->field($model, 'volume') ?>

    <?= $form->field($model, 'price') ?>

    <?= $form->field($model, 'logistic') ?>

    <?php // echo $form->field($model, 'nomenclature') ?>

    <?php // echo $form->field($model, 'end_date') ?>

    <?php // echo $form->field($model, 'quality') ?>

    <?php // echo $form->field($model, 'comment') ?>

    <div class="form-group">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-outline-secondary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

auction/modules/admin/views/archive/create.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\Bid */

$this->title = 'Создать заявку';
$this->params['breadcrumbs'][] = ['label' => 'Bids', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="bid-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

auction/modules/admin/views/archive/index.php
<?php

use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use yii\grid\GridView;
use app\models\User;
use app\models\Bid;
use app\models\Response;

/* @var $this yii\web\View */
/* @var $searchModel app\models\BidSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Архив заявок';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="bid-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <?php
        // $query = Bid::find()->where(['<','end_date', $date_from])->orderBy(['id'=>SORT_DESC]) ;
        // $date_name = date('Y-m-d');
        
        // $date_from = date('Y-m-d 23:59:59', strtotime($date_now. " - 1 day"));
        // $date_to = date('Y-m-d 00:00:01', strtotime($date_now. " + 1 day"));

        // foreach( $dates as $data)
        // {
        //     echo '<a href="/admin/archive?data=$data"> $data </a>';
        // }
    
    ?>

<?php 

$date_now = date('Y-m-d H:i:s');

function generateButtons($date_now)
{   
    $date_open = '2022-04-12 00:00:00';
    $date_name_button = '2022-04-12';

    while($date_open < $date_now)
    {
        $date_from = date('Y-m-d 23:59:59', strtotime($date_open. " - 1 day"));
        $date_to = date('Y-m-d 00:00:01', strtotime($date_open. " + 1 day"));      
        echo Html::a('Архив заявок за '.$date_name_button, ['dateofarchive', 'date_start' => $date_from,  'date_end' => $date_to], ['class' => 'button_archive']);
        $date_open =  date('Y-m-d 00:00:01', strtotime($date_open. " + 1 day"));
        $date_name_button =  date('Y-m-d', strtotime($date_name_button. " + 1 day"));
    }
} 
    generateButtons($date_now);  
?>  
   
</div>

auction/modules/admin/views/archive/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\Bid */

$this->title = 'Редактировать заявку №: ' . $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Bids', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->id, 'url' => ['view', 'id' => $model->id]];
$this->params['breadcrumbs'][] = 'Update';
?>
<div class="bid-update">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

auction/modules/admin/views/archive/view.php
<?php

use app\models\User;
use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\widgets\ActiveForm;


$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Bids', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);

   // проверка на админа
   $userId = Yii::$app->user->getId();
   $user = User::find()->where(['id'=>$userId])->one();
   $is_admin = $user->is_admin;


   if(isset($_POST['chek'])){
        foreach($_POST['chek'] as $chek){
            $connection = Yii::$app->db;
            $connection->createCommand()->update( 'response', ['signed' => 1], 'id='.$chek )->execute();
        }
    }
    
?>
<div class="bid-view">

        <?php 
             if ($is_admin == 1 or $is_admin == 2){
        ?>
                <h1>Ценовой комитет №______ от <?= date('d-m-Y') ?></h1>
        <?php

             }   else {
        ?>
                <h1>№ заявки: <?= Html::encode($this->title) ?></h1>
        <?php 
             }
        ?>
    <?php
        $dateBidEnd = $model->end_date;
        $now = date('Y-m-d H:i:s',  time()) ;

        if ($now < $dateBidEnd) {
            echo '<h3>До окончания приема заявок осталось: ' ;
            echo \russ666\widgets\Countdown::widget([
                'datetime' =>  $dateBidEnd,
                'format' => '%-D дней  %H:%M:%S',
                'events' => [
                    'finish' => 'function(){location.reload()}',
                ],
            ]); 
            echo '</h3>'; 
           
            if ($is_admin != 1 and $is_admin != 2)  {
                echo Html::a('Оставить предложение', ['createbid', 'id_bid' => $model->id], ['class' => 'btn btn-primary']);
            }
        } else {
            if ($is_admin == 1 or $is_admin == 2)  {
                //echo Html::a('Печать PDF', ['printbid', 'id_bid' => $model->id], ['class' => 'btn btn-primary']);
               // echo Html::button('Button 3', [ 'class' => 'btn btn-primary', 'onclick' => '(function ( $event ) { $("body").print(/*options*/); })();' ]);
                echo '  <a href="#" onClick="window.print()" class="btn btn-primary"> Распечатать </a>';
                //   echo Html::a('<i class="fa far fa-hand-point-up"></i> Privacy Statement', ['/bid/printbid'], [
                //     'class'=>'btn btn-danger', 
                //     'target'=>'_blank', 
                //     'data-toggle'=>'tooltip', 
                //     'title'=>'Will open the generated PDF file in a new window'
                // ]);

            }
        }
       
    ?>
       
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'options' => ['class' => 'detail_new'],
        'attributes' => [
            //'id',
            'basis',
            'volume',
            'price',
            //'logistic',
            'nomenclature',
            'end_date',
            'quality',
            'comment',
        ],
    ]) ?>



</div>

<?php $form = ActiveForm::begin([
    'id' => 'add_otkl',
    'options' => ['class' => 'form-horizontal'],
]); ?>

    <!-- <form id="w1" action="/admin/bid/create" method="post"> 
        <input type="hidden" name="_csrf" value="NNWGw3S761CvD2q5AiTK9f9UqfZM_Bf3VSxlxxY-2tlDlrGXB96PZMV9AY82ZbKBjz7ctCK9RbINe1HxQWu1qw=="> 
     -->
<?php 

  foreach ($responses as $response) {
      $company = $response->company;
      $signed = $response->signed;
      $price = $response->price;
      $id_user = $response->id_user;
        if ($users = User::find()->where(['id'=>$id_user])->one()) {
        // получаем св-во
            $user = $users->fio;
            $agent = $users->agent;
            $user_id = $users->id;
            $user_inn = $users->inn;
        } else {
            $user = " ";
            $agent = " ";
            $user_id = 0;
            $user_inn = " ";
        }
      
      
    //   if ($agent==1) {
    //       $agent = 'Агент';
    //   } else {
    //     $agent = 'Не агент';
    //   }
   

      ?>
      <div class="resp">
          <!-- <b>Объем:</b>   <?= $response->volume ?><br> -->
        <div class="resp11"><b>Цена:</b>  <?= $response->price ?></div>
        <div class="resp11"><b>Срок поставки:</b><br> с <?= $response->date_start ?><br>  по <?= $response->date_end ?> </div>
        <div class="resp11"><b>Логистика:</b><br>  <?= $response->logistic ?></div>
        
        <?php
        if ($is_admin == 1 or $is_admin == 2)  {
        ?>
         <div class="resp11"><b>Дополнительные условия поставки:</b><br>  <?= $response->comment ?></div>  
            <div class="resp11"><b>Наименование поставщика:</b><br>  <?= $response->company ?></div>            
            <div class="resp11"><b>ФИО:</b><br>  <?= Html::a($user, ['/admin/user/view', 'id' => $user_id], ['class' => 'a_fio'])?> (<?= $agent ?>) </div>
            <div class="resp11"><b>ИНН:</b><br>  <?=   $user_inn ?></div>          
            
            <!-- <?php  if ($signed == 1) { ?>
                <input type="checkbox" name="chek[]" checked value="<?= $response->id ?>" >
            <?php   } else {  ?>
                <input type="checkbox" name="chek[]" value="<?= $response->id ?>" >
            <?php   }  ?> -->
            
        <?php
        } 
        ?>
      </div>
       
      <?php
            
  }
?>

        <?php 
             if ($is_admin == 1 or $is_admin == 2){
        ?>
            <div class="writes_ck">
                <h3>Подписанты ЦК: </h3>
                <p class="writes_ck_p">___________________ Барабанов Д.Н.</p>
                <p class="writes_ck_p">___________________ Ильюшин И.Н.</p>
                <p class="writes_ck_p">___________________ Ерлыга Н.Ю.</p>
            </div>                
        <?php

             }  
        ?>
        <?php ActiveForm::end(); ?>
        <script>
$('#add_otkl input:checkbox:checked').each(function(){
alert($(this).val());
});
        </script>